next up previous contents index
Next: Other sources of information Up: Introduction Previous: Introduction

System requirements


NESL assumes the machine on which it is running uses some variant of the Unix operating system. Building NESL requires a C compiler, lex and yacc and Common Lisp (GNU, Allegro, CMU, or Lucid) . For the graphics functions it also requires the X11 library.

There is also a stand-alone version of NESL only requiring Common Lisp. This version implements all of NESL, but has no support for remote evaluation or graphics.  See Section 5.4 for more on this version.

Guy Blelloch
Tue Nov 28 18:37:09 EST 1995